SortedMapDifference
Date: 2016-05-24

com.google.common.collect

## Interface SortedMapDifference<K,V>

- All Superinterfaces:
    MapDifference<K,V>

      @GwtCompatible
      public interface SortedMapDifference<K,V>
      extends MapDifference<K,V>

  An object representing the differences between two sorted maps.
  Since:
    8.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.common.collect.MapDifference

      `MapDifference.ValueDifference<V>`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.SortedMap<K,MapDifference.ValueDifference<V>>` | `entriesDiffering()` Returns an unmodifiable map describing keys that appear in both maps, but with different values.
    `java.util.SortedMap<K,V>` | `entriesInCommon()` Returns an unmodifiable map containing the entries that appear in both maps; that is, the intersection of the two maps.
    `java.util.SortedMap<K,V>` | `entriesOnlyOnLeft()` Returns an unmodifiable map containing the entries from the left map whose keys are not present in the right map.
    `java.util.SortedMap<K,V>` | `entriesOnlyOnRight()` Returns an unmodifiable map containing the entries from the right map whose keys are not present in the left map.

    - ### Methods inherited from interface com.google.common.collect.MapDifference

      `areEqual, equals, hashCode`

- - ### Method Detail

    - #### entriesOnlyOnLeft

          java.util.SortedMap<K,V> entriesOnlyOnLeft()

      Description copied from interface: `MapDifference`
      Returns an unmodifiable map containing the entries from the left map whose keys are not present in the right map.
      Specified by:
        `entriesOnlyOnLeft` in interface `MapDifference<K,V>`

    - #### entriesOnlyOnRight

          java.util.SortedMap<K,V> entriesOnlyOnRight()

      Description copied from interface: `MapDifference`
      Returns an unmodifiable map containing the entries from the right map whose keys are not present in the left map.
      Specified by:
        `entriesOnlyOnRight` in interface `MapDifference<K,V>`

    - #### entriesInCommon

          java.util.SortedMap<K,V> entriesInCommon()

      Description copied from interface: `MapDifference`
      Returns an unmodifiable map containing the entries that appear in both maps; that is, the intersection of the two maps.
      Specified by:
        `entriesInCommon` in interface `MapDifference<K,V>`

    - #### entriesDiffering

          java.util.SortedMap<K,MapDifference.ValueDifference<V>> entriesDiffering()

      Description copied from interface: `MapDifference`
      Returns an unmodifiable map describing keys that appear in both maps, but with different values.
      Specified by:
        `entriesDiffering` in interface `MapDifference<K,V>`